## com.bbn.openmap.dataAccess.image
Interface ImageReader

All Known Implementing Classes:
  GeoTIFFImageReader, WorldFileImageReader

public interface ImageReader

Method Summary
`java.awt.image.BufferedImage` `getBufferedImage()` Will be called by the Image cache by the ImageTile to replenish the image data as it is needed when the ImageTile is on the map.
`ImageTile` `getImageTile()` Should be called by the the object managing the ImageTiles.
`ImageTile` `getImageTile(ImageTile.Cache cache)` Should be called by the object managing the ImageTiles.

Method Detail

### getImageTile

    public ImageTile getImageTile()

  Should be called by the the object managing the ImageTiles.

  Returns:
    ImageTile, null if there is a problem.

### getImageTile

    public ImageTile getImageTile(ImageTile.Cache cache)

  Should be called by the object managing the ImageTiles.

  Parameters:
    `cache` - The CacheHandler that should be used by the ImageTile for dynamic image loading.
  Returns:
    ImageTile, null if there is a problem.

### getBufferedImage

    public java.awt.image.BufferedImage getBufferedImage()

  Will be called by the Image cache by the ImageTile to replenish the image data as it is needed when the ImageTile is on the map.

  Returns:

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details